<!-- {% extends "base.html" %} -->

{% block app_content %}

    <div class="container">
        <div class="row justify-content-center" style="word-break: break-all">
            <div class="widget col-md-12">
                <div class="container">
                    <div class="row d-flex justify-content-between">
                        <div>
                            <h3>{{ post.Topic }}
								{% if post.IsPosted == False %}
								<span class = "text text-success"><small>&nbsp;&nbsp;草稿<small></span>
								{% endif %}
							</h3>
                            <p>所属课程：{{ post.Course }}</p>
                        </div>
						{% if post.UserIdentity == curUserIdentity and post.User_ID == curUser_ID or curUserIdentity == 0 %}
                        <form method="post">
                            {{ edit_delete_form.csrf_token() }}
							{% if post.IsPosted == False %}
								{{ edit_delete_form.submitEdit(class = 'btn btn-success mt-1 px-4.5') }}&nbsp;&nbsp;
							{% endif %}
							<span class="btn btn-danger mt-1 px-4.5" data-target="#DeleteModal" data-toggle="modal">删除</span>
							<!-- 模态框 -->
							<div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
								<div class="modal-dialog">
									<div class="modal-content">
										<div class="modal-header">
											<h4 class="modal-title" id="myModalLabel">删除讨论</h4>
										</div>
										<div class="modal-body"><font size="medium">讨论删除后无法恢复，是否确认删除？</font></div>
										<div class="modal-footer">
											{{ edit_delete_form.submitDelete(value="确认删除",class ='btn btn-danger') }}
											<button type="button" class="btn btn-default" data-dismiss="modal">取消</button>
										</div>
									</div>
								</div>
							</div>
                        </form>
						{% endif %}
                    </div>
                </div>
                <ul class="list-unstyled">
                    <hr>
                    <li class="media">
                        <div>
                            <img class="rounded" src={{url_for('static',filename=('user/Avater/'+get_avater(post.UserIdentity, post.User_ID)))}} 
							width=128 height=128 alt="Generic placeholder image">
                            <p class="text-center mt-2">{{ IdentityList[post.UserIdentity] }}：{{ post.UserName }}
							{% if post.UserIdentity == curUserIdentity and post.User_ID == curUser_ID %}
							<span class="text text-primary">（我）</span>
							{% endif %}
							</p>
                        </div>
                        <div class="media-body ml-4">
                            <p>
								<strong>楼主&nbsp;&nbsp;</strong>
								<small>{{ post.Timestamp.strftime("%Y-%m-%d %H:%M:%S") }}</small>
							</p>
							<p class="mt-2" style="white-space:pre-wrap">{{ post.Body }}</p>
                        </div>
                    </li>
				{% if post.IsPosted == True %}
					<div align="right">
						<a class="btn login-button" href="{{url_for('bbs_post', post_id = post.Post_ID, replied_id = 0) }}#Reply">评论</a>
					</div>
					{% if comments %}
                    {% for comment in comments %}					
					<a name="Position{{comment.Position}}"></a>
                    <hr>
					<li class="media">
                        <div>
                            <img class="rounded" src={{url_for('static',filename=('user/Avater/'+get_avater(comment.UserIdentity, comment.User_ID)))}} 
							width=128 height=128 alt="Generic placeholder image">
                            <p class="text-center mt-2">{{ IdentityList[comment.UserIdentity] }}：{{ comment.UserName }}
							{% if comment.UserIdentity == curUserIdentity and comment.User_ID == curUser_ID %}
							<span class="text text-primary">（我）</span>
							{% endif %}
							</p>
                        </div>
                        <div class="media-body ml-4">
                            <small>
								<strong>{{ comment.Position }}&nbsp;楼&nbsp;&nbsp;</strong>
								{{ comment.Timestamp.strftime("%Y-%m-%d %H:%M:%S") }}
								{% if comment.Replied_Position != 0 %}
								<a class="text text-primary" href="{{url_for('bbs_post', post_id = post.Post_ID, replied_id = 0) }}#Position{{comment.Replied_Position}}">
								&nbsp;回复&nbsp;{{ comment.Replied_Position }}&nbsp;楼</a>
								{% endif %}
							</small>
                            <p class="mt-2" style="white-space:pre-wrap">{{ comment.Body }}</p>
                        </div>
                    </li>
					<div align="right">
						<a class="btn login-button" href="{{url_for('bbs_post', post_id = post.Post_ID, replied_id = comment.Comment_ID) }}#Reply">回复</a>
					</div>
                    {% endfor %}
                    {% else %}
					<hr>
                    <div>
                        <p class="mt-2">该讨论帖暂时还没有评论嗷，来抢个沙发吧！</p>
                    </div>
                    {% endif %}
				{% endif %}
                </ul>
            </div>
			{% if post.IsPosted == True %}
            <div class="widget col-md-12">
                <a name="Reply"></a>
				<form class="form" method="post">
					{% if replied_comment %}
					<p>
						<a class="text text-primary" href="{{url_for('bbs_post', post_id = post.Post_ID, replied_id = 0) }}#Reply"><strong>&times;&nbsp;</strong></a>
						<span class="text text-primary">回复 {{replied_comment.Position}} 楼的评论：</span>
						<p style="white-space:pre-wrap">{{ replied_comment.Body }}</p>
					</p>
					{% endif %}
                    {{ comment_form.csrf_token() }}
                    <div class="form-group">
                        {{ comment_form.comment.label(class = 'sr-only') }}
                        {{ comment_form.comment(class = 'form-control', placeholder = '在这里输入评论，不得超过600个字符') }}
                    </div>
                    <div class="text-center">
                        {{ comment_form.submitComment(class = 'btn btn-primary') }}
                    </div>
                </form>
            </div>
			{% endif %}
		</div>
    </div>

{% endblock %}